:root {
    --typography-font-family-fixed: "Courier New", Courier;
    --typography-font-family: "Roboto";
    --typography-htmlFontSize: 16px;
    --typography-fontSize: 14px;
    --typography-fontWeightThin: 100;
    --typography-fontWeightLight: 300;
    --typography-fontWeightRegular: 400;
    --typography-fontWeightMedium: 500;
    --typography-fontWeightBold: 700;
    --typography-fontWeightBlack: 900;
}

html {
    font-size: var(--typography-htmlFontSize);
    font-family: var(--typography-font-family), sans-serif;
    font-weight: var(--typography-fontWeightRegular);
    line-height: 1.5;
}

b, strong {
    font-weight: var(--typography-fontWeightBold);
}

h1 {
    font-weight: var(--typography-fontWeightLight);
    font-size: 4rem;
    line-height: 1.167;
    letter-spacing: -0.01562em;
}

h2 {
    font-weight: var(--typography-fontWeightLight);
    font-size: 3.25rem;
    line-height: 1.2;
    letter-spacing: -0.00833em;
}

h3 {
    font-weight: var(--typography-fontWeightRegular);
    font-size: 2.875rem;
    line-height: 1.167;
    letter-spacing: 0;
}

h4 {
    font-weight: var(--typography-fontWeightRegular);
    font-size: 2.125rem;
    line-height: 1.235;
    letter-spacing: 0.00735em;
}

h5 {
    font-weight: var(--typography-fontWeightRegular);
    font-size: 1.5rem;
    line-height: 1.334;
    letter-spacing: 0;
}

h6 {
    font-weight: var(--typography-fontWeightMedium);
    font-size: 1.25rem;
    line-height: 1.6;
    letter-spacing: 0.0075em;
}

button,
a.button,
span.button {
    font-family: var(--typography-font-family) sans-serif;
    font-weight: var(--typography-fontWeightLight);
    font-size: 0.875rem;
    line-height: 2;
    letter-spacing: 0.02857em;
    text-transform: uppercase;
    text-rendering: auto;
    word-spacing: normal;

}


.help-text,
.label-text {
    font-size: 0.875rem;
}

input,
select,
textarea,
option {
    font-size: 1rem;
}

caption, .tooltiptext {
    font-weight: var(--typography-fontWeightRegular);
    font-size: 0.75rem;
    line-height: 1.66;
    letter-spacing: 0.03333em;
}

.compact {
    display:inline-block;
    margin: 0;
    padding: 0;
    -webkit-transform:scale(0.75,1); /* Safari and Chrome */
    -moz-transform:scale(0.75,1); /* Firefox */
    -ms-transform:scale(0.75,1); /* IE 9 */
    -o-transform:scale(0.75,1); /* Opera */
    transform:scale(0.75,1); /* W3C */
}

@media screen and (max-width: 768px) {
    h1 {
        font-size: 2.5rem;
        line-height: 1.167;
    }

    h2 {
        font-size: 2rem;
        line-height: 1.2;
    }

    h3 {
        font-size: 1.875rem;
        line-height: 1.167;
    }

    h4 {
        font-size: 1.5rem;
        line-height: 1.235;
    }

    h5 {
        font-size: 1.4rem;
        line-height: 1.334;
    }

    h6 {
        font-size: 1.25rem;
        line-height: 1.6;
    }
}

code {
    font-family: var(--typography-font-family-fixed), monospace;
}